Search found 20 matches

by ostapb
Thu Nov 30, 2023 1:24 pm
Forum: Python scripting and macros
Topic: Is OuterWire the same to Wires[0]?
Replies: 6
Views: 1695

Re: Is OuterWire the same to Wires[0]?

I'm puzzled. Where did I get the "OuterWire is Wires[0]"? Whether it was written in some help or docs? Or I just came up with it myself?

May be I just looked through some exmaples and saw that.
by ostapb
Thu Nov 30, 2023 10:34 am
Forum: Python scripting and macros
Topic: Is OuterWire the same to Wires[0]?
Replies: 6
Views: 1695

Re: Is OuterWire the same to Wires[0]?

Thank you.

Its very discouraging situation. Does it mean that i've no guarantees that Wires[0] is really outer?
by ostapb
Thu Nov 30, 2023 9:59 am
Forum: Python scripting and macros
Topic: Is OuterWire the same to Wires[0]?
Replies: 6
Views: 1695

Is OuterWire the same to Wires[0]?

Hello. I have a face. Example.FCStd Screenshot_3.png Its underlying Surface is this. f=App.getDocument("Example").Shape.Shape Part.show(f.Surface.toShape()) Screenshot_4.png Its first Wire is this. Part.show(f.Wires[0]) Screenshot_5.png Its OuterWire is this. Part.show(f.OuterWire) Screens...
by ostapb
Wed Jul 26, 2023 1:09 pm
Forum: Python scripting and macros
Topic: Check identical shapes
Replies: 4
Views: 837

Re: Check identical shapes

from most restrictive to most permissive : help(e1.isEqual) help(e1.isSame) help(e1.isPartner) Thus I can't use in to find some edge (face,...) in a list of edges. i.e. if i have an my_edge , slected form GUI and list_of_edges selected from MyShape.Edges by some algorythm, than if my_edge in list_o...
by ostapb
Thu Jun 29, 2023 1:22 pm
Forum: Python scripting and macros
Topic: isInside with checkFace
Replies: 3
Views: 627

Re: isInside with checkFace

Yes. it looks like. >>> App.ActiveDocument.Sphere.Shape.isInside(App.Vector(0,0,0),0,True) True >>> App.ActiveDocument.Sphere.Shape.isInside(App.Vector(0,0,0),0,False) True >>> App.ActiveDocument.Sphere.Shape.isInside(App.Vector(0,0,5),0,True) True >>> App.ActiveDocument.Sphere.Shape.isInside(App.Ve...
by ostapb
Mon Jun 26, 2023 2:52 pm
Forum: Python scripting and macros
Topic: isInside with checkFace
Replies: 3
Views: 627

isInside with checkFace

Hello. I need to use Face.isInside(), but was puzzled with checkFace. What does it do? For instance f=Part.BezierSurface().toShape() gives me f.isInside(App.Vector(0.5,0.5,0),0,True) # -> True Yes, I see. f.isInside(App.Vector(0.5,0.5,0),0,False) # -> False Why?! What point will make this true? A po...
by ostapb
Fri Jun 23, 2023 3:56 pm
Forum: Python scripting and macros
Topic: Check identical shapes
Replies: 4
Views: 837

Re: Check identical shapes

Yes! I'm so inattentive! I saw it on the list.

Thank you!
by ostapb
Fri Jun 23, 2023 3:29 pm
Forum: Python scripting and macros
Topic: Check identical shapes
Replies: 4
Views: 837

Check identical shapes

Hello.

Is there any way to check if two shapes (faces, edges, vertices) are the same? I mean, they are inedtical, but recieved in different ways. For example,

e1 = MyFace.Edges[n]
e2 = MyFace.OuterWire.Edges[m]

Of course,
e1==e2 -> False
but I know its one edge. How to check it in a code?
by ostapb
Thu May 25, 2023 2:54 pm
Forum: Python scripting and macros
Topic: Description on sortEdges
Replies: 26
Views: 4262

Re: Description on sortEdges

Thank you. You say "Not much to tell" about both FreeCAD documentation and OpenCascade documentation? (I hoped that OCC has more detailed docs.) if edges are connected they will form a list, and if some edge is not connected Is there any criteria, tolerance or error rate that sortEdges() d...
by ostapb
Wed May 24, 2023 1:26 pm
Forum: Python scripting and macros
Topic: Description on sortEdges
Replies: 26
Views: 4262

Description on sortEdges

Hello all. I need to know about function Part.sortEdges() . It seems that I have to use it in some tasks. But I have just basic knowledge. I’ve got info from help(Part.sortEdges) and help(Part.__sortEdges__ ). Online doc that I’ve found is strange. Maybe I’ve just failed to found needed page. Can an...